# Self-supervised Pre-training for Mirror Detection
This is the code for Self-supervised Pre-training for Mirror Detection, which is presented in ICCV 2023. Visit our project homepage for any updates. (https://jiaying.link/iccv2023-sslmirror/)

download link for any resources mentioned in the following descriptions: 
https://portland-my.sharepoint.com/:f:/g/personal/jiayinlin5-c_my_cityu_edu_hk/EhnpW1kZjPVFslvBAgni6B8Bymo5LgbBM0tK620TzmO0kQ?e=bfE9vk


## Test and Evaluate
  
Modify the dataset path defined in `infer_res50.py` and `evaluation_hk.py`. Download `best_ours_finetuned.pth` and then run `demo.sh`. You should be able to obtain the results (f1:0.7650907508511781, MAE:0.1118917554004177), which is slightly better than the results reported in our paper (f1:0.763, MAE:0.116).

## Train your network using our pre-trained weights


The pretrained weight is `best_ours_resnet50_ssl_pretrained.pth`. You can use it to train your own network. Please note that we do not have the access to the training code of MirrorNet, and we are not going to release the training code implemented by us to avoid any potential conflicts and license issues of MirrorNet. If you have any questions regarding the training code of MirrorNet, we recommend reaching out to its authors for clarification.

## Contact
jiayinlin5@cityu.edu.hk

Please cite our paper if you use our code or pretrained/fine-tuned weight:

```bibtex
@inproceedings{Lin_2023_ICCV_SSLmirror,
    title={Self-supervised Pre-training for Mirror Detection},
    author={Lin, Jiaying and Lau, Rynson W.H.},
    booktitle={Proc. ICCV},
    year={2023}
} 
```